Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.util
Class LRUMap<K,V>

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<K,V>
              java.util.LinkedHashMap<K,V>
                  org.richfaces.util.LRUMap<K,V>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<K,V>

    public class LRUMap<K,V>

extends java.util.LinkedHashMap<K,V>
implements java.io.Serializable

Last Recent Used Map cache. See `LinkedHashMap` for details.

Author:
  asmirnov
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

Constructor Summary
`LRUMap()` Default capacity constructor
`LRUMap(int capacity)`

Method Summary
`protected boolean` | `removeEldestEntry(java.util.Map.Entry<K,V> entry)`

Methods inherited from class java.util.LinkedHashMap
`clear, containsValue, get`

Methods inherited from class java.util.HashMap
`clone, containsKey, entrySet, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`containsKey, entrySet, equals, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Constructor Detail

### LRUMap

    public LRUMap()

  Default capacity constructor

### LRUMap

    public LRUMap(int capacity)

Parameters:
  `capacity` - - maximal cache capacity.

Method Detail

### removeEldestEntry

    protected boolean removeEldestEntry(java.util.Map.Entry<K,V> entry)

  Overrides:
    `removeEldestEntry` in class `java.util.LinkedHashMap<K,V>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.